#
# spec file for package python-ZODB
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ZODB
Version:        4.1.0
Release:        1.1
Summary:        Zope Object Database: object database and persistence
License:        ZPL-2.1
Group:          Development/Libraries/Python
Url:            http://www.zodb.org/
Source:         https://pypi.python.org/packages/source/Z/ZODB/ZODB-%{version}.tar.gz
BuildRequires:  python-BTrees
BuildRequires:  python-ZConfig
BuildRequires:  python-persistent-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-transaction
BuildRequires:  python-zc.lockfile
BuildRequires:  python-zdaemon >= 4.0.0
BuildRequires:  python-zope.interface
Requires:       python-BTrees
Requires:       python-ZConfig
Requires:       python-persistent
Requires:       python-six
Requires:       python-transaction
Requires:       python-zc.lockfile
Requires:       python-zdaemon >= 4.0.0
Requires:       python-zope.interface
# Testing requirements:
BuildRequires:  python-manuel
BuildRequires:  python-xml
BuildRequires:  python-zope.testing
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The Zope Object Database provides an object-oriented database for Python that
provides a high-degree of transparency. Applications can take advantage of
object database features with few, if any, changes to application logic. ZODB
includes features such as a plugable storage interface, rich transaction
support, and undo.

%package doc
Summary:        Zope Object Database: object database and persistence
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n ZODB-%{version}
# delete backup files
find . -name "*~" -print -delete
# remove unwanted shebang
find src -name "*.py" | xargs sed -i '1 { /^#!/ d }'

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py -q test

%files
%defattr(-,root,root)
%doc 3.11.txt CHANGES.rst COPYRIGHT.txt HISTORY.txt LICENSE.txt README.rst
%{python_sitelib}/*
%{_bindir}/fsdump
%{_bindir}/fsoids
%{_bindir}/fsrefs
%{_bindir}/fstail
%{_bindir}/repozo

%files doc
%defattr(-,root,root,-)
%doc doc/

%changelog
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.1.0:
  * Fix registration of custom logging level names ("BLATHER",
    "TRACE). We have been registering them in the wrong order since
    2004. Before Python 3.4, the stdlib logging module masked the
    error by registering them in both directions.
  * Add support for Python 3.4.
- additional changes from version 4.0.1:
  * Fix POSKeyError during transaction.commit when after
    savepoint.rollback. see #16
  * Ensure that the pickler used in PyPy always has a persistent_id
    attribute (inst_persistent_id is not present on the pure-Python
    pickler). (PR #17)
  * Provide better error reporting when trying to load an object on
    a closed connection.
- drop fix-for-upstream-test.patch: fixed upstream
- delete backup files in sources
- remove unwanted shebang in python file
- do not set the executable bit of python files
- pass -q to the test to avoid spamming the build log
* Sat Feb  1 2014 os-dev@jacraig.com
- Add patch to fix test during build.  This is fixed upstream for next release.
- Update old package URL.
- Update to 4.0.0 (minor changes from git commit log):
  * Try invoking parent close() via super(), hoping to squash ResourceWarning.
    Also, avoid shadowing the 'file' builtin / alias with locals.
  * Bend over backward to avoid ResourceWarnings.
  * Use os.pathsep when constructing $PYTHONPATH (fix test failure on Windows).
  * Update to latest 2.2.0 bootstrap.py
  * Correctly quote Windows pathnames
* Sat Aug  3 2013 hpj@urpla.net
- version 4.0.0b3: initial build
